­čî│ Wydania wersji Nikodem

Pierwsza wersja Nikodem wydana na kanale PRE-ALFA

:deciduous_tree:

@Stravi wydaj prosz─Ö na ALFA

Co nowego:

najnowszy Home Assistant

najnowsze zigbee2mqtt:

Nale┼╝y uwa┼╝nie przeczyta─ç informacj─Ö o nadchodz─ůcych zmianach. Sporo os├│b tworzy swoje encje w oparciu o MQTT. Ju┼╝ od wrze┼Ťnia w HA nie b─Ödzie odwrotu od konieczno┼Ťci zmiany logiki zapis├│w w konfiguracji YAML:

3 polubienia

Nikodem wydany na kanale ALFA

(@Stravi wydali┼Ťmy sami ┼╝eby co┼Ť sprawdzi─ç)

1 polubienie

nadal nie restartuje mi si─Ö bramka dev1 po aktualizacji wiec zostaje konsola lub przez stron─Ö https://app.pm2.io/ ewentualnie wyj─Öcie zasilacza bramki z kontaktu i ponowne pod┼é─ůczenie do kontaktu

zauważyłem że nie działa restart bramki z giu

jest tylko " OK, zapisuję status i restartuję. Do usłyszenia." i nic poza tym (brak restartu) więc zostaje siłowy restart (konsola, zasilacz lub strona pm2)

pomijam fakt ┼╝e nie mo┼╝na doda─ç integracji geocaching w prawid┼éowy spos├│b czyli po wybraniu integracji z list otwiera si─Ö strona logowania tego serwisu zamiast tego ka┼╝e wpisa─ç jakie┼Ť OAuth Client ID and Client Secret

Nowy Nikodem wydany na PRE ALFA, @Stravi wydaj proszę na ALFA jak będziesz miał czas.

Zmiany

Wydanie HA 2022.6.2 - June 4

Wydanie HA 2022.6.3 - June 6

Wydanie HA 2022.6.4 - June 7

Wszystko ┼Ťmiga, zapraszam do testowania.

U mnie nic nie wykrywa @stravi

U mnie tez nie wykrywa w pro1

Niestety ja nic nie poradz─Ö, to b─Ödzie gdzie┼Ť w sprawdzaniu najnowszej wersji, ale najnowsza wersja jest poprawna:

1 polubienie

U mnie na dev3 te┼╝ nie wykrywa a na HA mamy ju┼╝ 2022.6.6
Po manualnej aktualizacji (curl -L https://raw.githubusercontent.com/sviete/AIS-utils/master/releases/alfa.sh -o alfa.sh; chmod +x alfa.sh; ./alfa.sh) jest tak:

pip install ais-dom==2022.6.6

4 polubienia

Najnowsza wersja wydana na kanałach ALFA i BETA

Zmiany Ôćĺ najnowsze wydania Home Assistant:

2022.6.6 - June 14

2022.6.7 - June 22

Gdzie szuka─ç problemu bo od kilku miesi─Öcy co ka┼╝da aktualizacje musz─Ö r─Öcznie restartowa─ç bramk─Ö z wykorzystaniem pm2 restart ais bo pierwszy restart nic nie robi nawet jak nie ma aktualizacji to musz─Ö 2 razy wpisywa─ç ta komend─Ö w odst─Öpie 20 sekundowym i dopiero 2 wpisanie komendy restartuje system (kiedy┼Ť wysy┼éa┼éem do Ais logi z nie restartujacej si─Ö aktualizacji)

Czo┼éem. Na DEV3 aktualizacja przebieg┼éa g┼éadko. Wszystko si─Ö ÔÇ×samo zrobi┼éoÔÇŁ ÔÇô ┼é─ůcznie z restartem ÔÇô o czym by┼éem na bie┼╝─ůco informowany. Dzi─Ökuj─Ö bardzo!

Niestety Historia i Dziennik wci─ů┼╝ kiepsko dzia┼éaj─ů (!), niezale┼╝nie od u┼╝ytej przegl─ůdarki czy aplikacji, nadal na karcie SD nie tworzy si─Ö baza danych SQLite a z aplikacji niezmiennie brak dost─Öpu do Zigbee2MQTT.

Nowa wersja wydana na kanale ALFA

:warning: 1. ┼╝eby zainstalowa─ç now─ů wersj─Ö trzeba przej┼Ť─ç na pakiety binarne Termux, dok┼éadny opis poni┼╝ej

:warning: 2. aktualizacj─Ö nale┼╝y wykona─ç w konsoli wpisuj─ůc te 4 komendy linijka po linijce i zatwierdzamy Enter-em:

curl -L https://raw.githubusercontent.com/sviete/AIS-utils/master/releases/alfa.sh -o ~/AIS/alfa.sh 
chmod +x ~/AIS/alfa.sh
cd ~/AIS
./alfa.sh

:warning: 3. je┼╝eli co┼Ť b─Ödzie nie tak podczas instalacji, to prosimy o kopie loga kt├│ry b─Ödzie w konsoli

Co nowego

  1. Edytor automatyzacji z nowym wygl─ůdem

  1. Nowy pomocnik: Harmonogram tygodniowy

1 polubienie

u mnie tak przebiegła aktualizacja

 curl -L https://raw.githubusercontent.com/sviete/AIS-utils/master/releases/alfa.sh -o ~/AIS/alfa.sh 
chmod +x ~/AIS/alfa.sh
cd ~/AIS
./alfa.sh
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  7317  100  7317    0     0   8216      0 --:--:-- --:--:-- --:--:--  8221
 START instalacji wersji  AIS ALFA  22.08.20 
Ign:1 https://mirrors.aliyun.com/termux/termux-packages-24 stable InRelease
Err:2 https://mirrors.aliyun.com/termux/termux-packages-24 stable Release
  404  Not Found [IP: 47.246.2.215 443]
Reading package lists... Done
E: The repository 'https://mirrors.aliyun.com/termux/termux-packages-24 stable Release' no longer has a Release file.
N: Metadata integrity can't be verified, repository is disabled now.
N: Possible causes: unstable or tampered Internet connection, wrong sources.list, outdated keyring or host is down currently.
N: Please note that all hosting problems or other serious issues we announce on our social media pages.
N: Use termux-change-repo for switching to a mirror.
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   756  100   756    0     0    841      0 --:--:-- --:--:-- --:--:--   841
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following additional packages will be installed:
  libgc
The following NEW packages will be installed:
  libgc w3m
0 upgraded, 2 newly installed, 0 to remove and 4 not upgraded.
Need to get 829 kB of archives.
After this operation, 2216 kB of additional disk space will be used.
Err:1 https://mirrors.aliyun.com/termux/termux-packages-24 stable/main arm libgc arm 8.0.6
  404  Not Found [IP: 47.246.2.215 443]
Err:2 https://mirrors.aliyun.com/termux/termux-packages-24 stable/main arm w3m arm 0.5.3.20190105-8
  404  Not Found [IP: 47.246.2.215 443]
E: Failed to fetch https://mirrors.aliyun.com/termux/termux-packages-24/pool/main/libg/libgc/libgc_8.0.6_arm.deb  404  Not Found [IP: 47.246.2.215 443]
E: Failed to fetch https://mirrors.aliyun.com/termux/termux-packages-24/pool/main/w/w3m/w3m_0.5.3.20190105-8_arm.deb  404  Not Found [IP: 47.246.2.215 443]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following NEW packages will be installed:
  neofetch
0 upgraded, 1 newly installed, 0 to remove and 4 not upgraded.
Need to get 80.1 kB of archives.
After this operation, 406 kB of additional disk space will be used.
Ign:1 https://mirrors.aliyun.com/termux/termux-packages-24 stable/main arm neofetch all 7.1.0
Err:1 https://mirrors.aliyun.com/termux/termux-packages-24 stable/main arm neofetch all 7.1.0
  404  Not Found [IP: 47.246.2.215 443]
E: Failed to fetch https://mirrors.aliyun.com/termux/termux-packages-24/pool/main/n/neofetch/neofetch_7.1.0_all.deb  404  Not Found [IP: 47.246.2.215 443]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
./alfa.sh: line 29: neofetch: command not found
 Aktualizacja AIS z wersji  22.08.17  
 VERSION TEST  OK 
 Pobieram AIS ... 
ok##O=-#     #                                                                                                                                                                                     ############################################################################################################################################################################################ 100.0%
 Rozpakowuje AIS ... 
ok
7-Zip [32] 17.04 : Copyright (c) 1999-2021 Igor Pavlov : 2017-08-28
p7zip Version 17.04 (locale=utf8,Utf16=on,HugeFiles=on,32 bits,4 CPUs LE)

Scanning the drive for archives:
1 file, 64044919 bytes (62 MiB)                

Extracting archive: /data/data/com.termux/files/home/AIS/alfa_wheelhouse.tar.7z
--
Path = /data/data/com.termux/files/home/AIS/alfa_wheelhouse.tar.7z
Type = 7z
Physical Size = 64044919
Headers Size = 1501
Method = LZMA2:24
Solid = +
Blocks = 1

Everything is Ok                                               

Folders: 1
Files: 65
Size:       70879360
Compressed: 64044919
 Instaluje AIS ... 
okLooking in links: wheels
Requirement already satisfied: aiohttp==3.8.1 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 3)) (3.8.1)
Requirement already satisfied: astral==2.2 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 4)) (2.2)
Requirement already satisfied: async_timeout==4.0.2 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 5)) (4.0.2)
Requirement already satisfied: attrs==21.2.0 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 6)) (21.2.0)
Requirement already satisfied: atomicwrites-homeassistant==1.4.1 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 7)) (1.4.1)
Processing ./wheels/awesomeversion-22.8.0-py3-none-any.whl
Requirement already satisfied: bcrypt==3.1.7 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 9)) (3.1.7)
Requirement already satisfied: certifi>=2021.5.30 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 10)) (2022.6.15)
Requirement already satisfied: ciso8601==2.2.0 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 11)) (2.2.0)
Requirement already satisfied: httpx==0.23.0 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 12)) (0.23.0)
Requirement already satisfied: home-assistant-bluetooth==1.3.0 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 13)) (1.3.0)
Requirement already satisfied: ifaddr==0.1.7 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 14)) (0.1.7)
Requirement already satisfied: jinja2==3.1.2 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 15)) (3.1.2)
Requirement already satisfied: lru-dict==1.1.8 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 16)) (1.1.8)
Requirement already satisfied: PyJWT==2.4.0 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 17)) (2.4.0)
Processing ./wheels/cryptography-37.0.4-py3-none-any.whl
Processing ./wheels/orjson-3.7.11-py3-none-any.whl
Requirement already satisfied: pip>=21.0 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 20)) (22.2.2)
Requirement already satisfied: python-slugify==4.0.1 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 21)) (4.0.1)
Requirement already satisfied: pyyaml==6.0 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 22)) (6.0)
Requirement already satisfied: requests==2.28.1 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 23)) (2.28.1)
Requirement already satisfied: typing-extensions<5.0,>=3.10.0.2 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 24)) (4.3.0)
Requirement already satisfied: voluptuous==0.13.1 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 25)) (0.13.1)
Requirement already satisfied: voluptuous-serialize==2.5.0 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 26)) (2.5.0)
Requirement already satisfied: yarl==1.7.2 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 27)) (1.7.2)
Processing ./wheels/ais_dom_frontend-20220831.0-py3-none-any.whl
Requirement already satisfied: aisapi==0.1.1 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 30)) (0.1.1)
Requirement already satisfied: tzdata in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from -r wheels/requirements.txt (line 31)) (2022.1)
Processing ./wheels/tzdata-2022.2-py2.py3-none-any.whl
Processing ./wheels/ais_dom-2022.9.0b1-py3-none-any.whl
Requirement already satisfied: charset-normalizer<3.0,>=2.0 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from aiohttp==3.8.1->-r wheels/requirements.txt (line 3)) (2.1.0)
Requirement already satisfied: multidict<7.0,>=4.5 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from aiohttp==3.8.1->-r wheels/requirements.txt (line 3)) (6.0.2)
Requirement already satisfied: aiosignal>=1.1.2 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from aiohttp==3.8.1->-r wheels/requirements.txt (line 3)) (1.2.0)
Requirement already satisfied: frozenlist>=1.1.1 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from aiohttp==3.8.1->-r wheels/requirements.txt (line 3)) (1.3.1)
Requirement already satisfied: pytz in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from astral==2.2->-r wheels/requirements.txt (line 4)) (2022.1)
Requirement already satisfied: six>=1.4.1 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from bcrypt==3.1.7->-r wheels/requirements.txt (line 9)) (1.16.0)
Requirement already satisfied: cffi>=1.1 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from bcrypt==3.1.7->-r wheels/requirements.txt (line 9)) (1.15.1)
Requirement already satisfied: rfc3986[idna2008]<2,>=1.3 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from httpx==0.23.0->-r wheels/requirements.txt (line 12)) (1.5.0)
Requirement already satisfied: httpcore<0.16.0,>=0.15.0 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from httpx==0.23.0->-r wheels/requirements.txt (line 12)) (0.15.0)
Requirement already satisfied: sniffio in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from httpx==0.23.0->-r wheels/requirements.txt (line 12)) (1.2.0)
Requirement already satisfied: bleak>=0.14.3 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from home-assistant-bluetooth==1.3.0->-r wheels/requirements.txt (line 13)) (0.15.1)
Requirement already satisfied: MarkupSafe>=2.0 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from jinja2==3.1.2->-r wheels/requirements.txt (line 15)) (2.1.1)
Requirement already satisfied: text-unidecode>=1.3 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from python-slugify==4.0.1->-r wheels/requirements.txt (line 21)) (1.3)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from requests==2.28.1->-r wheels/requirements.txt (line 23)) (1.26.11)
Requirement already satisfied: idna<4,>=2.5 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from requests==2.28.1->-r wheels/requirements.txt (line 23)) (3.3)
Requirement already satisfied: dbus-next in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from bleak>=0.14.3->home-assistant-bluetooth==1.3.0->-r wheels/requirements.txt (line 13)) (0.2.3)
Requirement already satisfied: pycparser in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from cffi>=1.1->bcrypt==3.1.7->-r wheels/requirements.txt (line 9)) (2.21)
Requirement already satisfied: h11<0.13,>=0.11 in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from httpcore<0.16.0,>=0.15.0->httpx==0.23.0->-r wheels/requirements.txt (line 12)) (0.12.0)
Requirement already satisfied: anyio==3.* in /data/data/com.termux/files/usr/lib/python3.10/site-packages (from httpcore<0.16.0,>=0.15.0->httpx==0.23.0->-r wheels/requirements.txt (line 12)) (3.6.1)
Installing collected packages: tzdata, orjson, awesomeversion, ais-dom-frontend, cryptography, ais-dom
  Attempting uninstall: tzdata
    Found existing installation: tzdata 2022.1
    Uninstalling tzdata-2022.1:
      Successfully uninstalled tzdata-2022.1
  Attempting uninstall: orjson
    Found existing installation: orjson 3.7.8
    Uninstalling orjson-3.7.8:
      Successfully uninstalled orjson-3.7.8
  Attempting uninstall: awesomeversion
    Found existing installation: awesomeversion 22.6.0
    Uninstalling awesomeversion-22.6.0:
      Successfully uninstalled awesomeversion-22.6.0
  Attempting uninstall: ais-dom-frontend
    Found existing installation: ais-dom-frontend 20220802.4
    Uninstalling ais-dom-frontend-20220802.4:
      Successfully uninstalled ais-dom-frontend-20220802.4
  Attempting uninstall: cryptography
    Found existing installation: cryptography 36.0.2
    Uninstalling cryptography-36.0.2:
      Successfully uninstalled cryptography-36.0.2
  Attempting uninstall: ais-dom
    Found existing installation: ais-dom 2022.8.6b2
    Uninstalling ais-dom-2022.8.6b2:
      Successfully uninstalled ais-dom-2022.8.6b2
ERROR: pip's dependency resolver does not currently take into account all the packages that are installed. This behaviour is the source of the following dependency conflicts.
hass-nabucasa 0.54.1 requires cryptography<37.0,>=2.8, but you have cryptography 37.0.4 which is incompatible.
Successfully installed ais-dom-2022.9.0b1 ais-dom-frontend-20220831.0 awesomeversion-22.8.0 cryptography-37.0.4 orjson-3.7.11 tzdata-2022.2
 ZIGBEE   "version": "1.27.0", 
 Zigbee OK... 
 OK. Instalacja trwała  360 sekund 
ok ANDROID   versionName=4.0.0 
 Android OK... 
 Restartuje usługę ais ... 
okUse --update-env to update environment variables
[PM2] Applying action restartProcessId on app [ais](ids: [ 3 ])
[PM2][ERROR] Process 3 not found
~/AIS $ 

i tak wisi od kilku minut (nie uruchamia sie ha)

Nie wisi, po prostu proces (te 4 komendy) się zakończył.

U mnie wyskakuje przy aktualizacji komunikat "spróbuj ponownie " i tak w kółko

aktualizacj─Ö nale┼╝y wykona─ç w konsoli wpisuj─ůc te 4 komendy linijka po linijce i zatwierdzamy Enter-em:

curl -L https://raw.githubusercontent.com/sviete/AIS-utils/master/releases/alfa.sh -o ~/AIS/alfa.sh 
chmod +x ~/AIS/alfa.sh
cd ~/AIS
./alfa.sh
1 polubienie
~ $ curl -L https://raw.githubusercontent.com/sviete/AIS-utils/master/releases/alfa.sh -o ~/AIS/alfa.sh
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  7317  100  7317    0     0  27951      0 --:--:-- --:--:-- --:--:-- 28034
~ $ chmod +x ~/AIS/alfa.sh
~ $ ./alfa.sh
bash: ./alfa.sh: No such file or directory
~ $

Brakuje komendy cd ~/AIS/ a nastepnie ./alfa.sh